summaryrefslogtreecommitdiffstats
path: root/slackware64/l/libsoup/libsoup.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-09-19 22:48:58 +0000
committer Eric Hameleers <alien@slackware.com>2019-09-20 08:59:47 +0200
commit3fb911844eaa3e98d80a8cc6c946202904fe8693 (patch)
treeb614a5a6e02c370bd4824e86980b7b8c9ab442de /slackware64/l/libsoup/libsoup.SlackBuild
parenta580cc0d3e082bb499f39ba917b24149bdb68ac7 (diff)
downloadcurrent-ff8c34fda576fc9240c95f3d53d425eefe2ef0aa.tar.gz
current-ff8c34fda576fc9240c95f3d53d425eefe2ef0aa.tar.xz
Thu Sep 19 22:48:58 UTC 201920190919224858
Thanks to Robby Workman for helping upgrade the GTK stack! a/kernel-generic-4.19.74-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.74-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.74-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.74-x86-1.txz: Upgraded. d/vala-0.46.1-x86_64-1.txz: Upgraded. k/kernel-source-4.19.74-noarch-1.txz: Upgraded. l/adwaita-icon-theme-3.34.0-noarch-1.txz: Upgraded. l/at-spi2-atk-2.34.0-x86_64-1.txz: Upgraded. l/at-spi2-core-2.34.0-x86_64-1.txz: Upgraded. l/atk-2.34.1-x86_64-1.txz: Upgraded. l/dconf-0.34.0-x86_64-1.txz: Upgraded. l/dconf-editor-3.34.1-x86_64-1.txz: Upgraded. l/fuse3-3.6.2-x86_64-1.txz: Added. This is required by gvfs and sshfs. l/glib-networking-2.62.0-x86_64-1.txz: Upgraded. l/glib2-2.62.0-x86_64-1.txz: Upgraded. l/gnome-themes-extra-3.28-x86_64-1.txz: Added. l/gnome-themes-standard-3.22.3-x86_64-2.txz: Removed. Upstream has renamed this to gnome-themes-extra. l/gobject-introspection-1.62.0-x86_64-1.txz: Upgraded. l/gsettings-desktop-schemas-3.34.0-x86_64-1.txz: Upgraded. l/gvfs-1.42.0-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_65-x86_64-1.txz: Upgraded. l/librsvg-2.46.0-x86_64-1.txz: Upgraded. l/libsoup-2.68.1-x86_64-1.txz: Upgraded. l/pygobject3-3.34.0-x86_64-1.txz: Upgraded. l/python-packaging-19.2-x86_64-1.txz: Upgraded. l/vte-0.58.0-x86_64-1.txz: Upgraded. n/bind-9.14.6-x86_64-1.txz: Upgraded. n/sshfs-3.5.2-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'slackware64/l/libsoup/libsoup.SlackBuild')
-rwxr-xr-xslackware64/l/libsoup/libsoup.SlackBuild118
1 files changed, 118 insertions, 0 deletions
diff --git a/slackware64/l/libsoup/libsoup.SlackBuild b/slackware64/l/libsoup/libsoup.SlackBuild
new file mode 100755
index 000000000..63d04f5a5
--- /dev/null
+++ b/slackware64/l/libsoup/libsoup.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+#
+# Slackware build script for libsoup
+#
+# Copyright 2009-2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libsoup
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
+ --prefix=/usr \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --buildtype=release \
+ -Dgssapi=disabled \
+ -Dvapi=enabled \
+ -Ddoc=enabled \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING* AUTHORS NEWS README* $PKG/usr/doc/$PKGNAM-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz